aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Graham Charters (JIRA)" <>
Subject [jira] Created: (ARIES-219) Remove use of bnd from eba-maven-plugin
Date Fri, 05 Mar 2010 21:19:31 GMT
Remove use of bnd from eba-maven-plugin

                 Key: ARIES-219
             Project: Aries
          Issue Type: Task
          Components: Application
            Reporter: Graham Charters
            Priority: Trivial

aQute.lib.osgi.Analyzer.cleanupVersion is currently used to convert Maven versions to OSGi
versions.  The original intention was to use DefaultMaven2OsgiConverter but the conversion
gave different results from the maven-bundle-plugin.  Guillaume fixed this in
.  When the bundle plugin is released we should update
the eba-maven-plugin to use this code.  

See code like this in the plugin:

					+ aQute.lib.osgi.Analyzer.cleanupVersion(project.getVersion()) + "\n");
//					+ maven2OsgiConverter.getVersion(project.getVersion()) + "\n");

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message